package com.ssj.dao.sys.analysis.dao;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;


public interface AnalysisQueryDao {

	//type=1月份的消费币的总量
	public Long countLibJoinConsumeSumByLibService(String date);
	
	//type=1的总端口数
	public Long countFxMerchantSumByPortNum();
	
	//type=1的月top10
	public List<Map<String,Object>> countFxMerchantSumByTop(String date);
	
	//月机构会员的统计列表
	public Page<Map<String, Object>> countFxMerchantServiceByDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantServiceByVipDate(Map<String, Object> params, Pageable pageable);
	
	//学生端的统计列表
	public Page<Map<String, Object>> countFxMerchantHomeworkByDay(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantHomeworkByVipDay(Map<String, Object> params, Pageable pageable);
	
	//公用查询方式
	public Page<Map<String, Object>> countFxMerchantCommonByDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantCommonByCountUserDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantCommonByVipDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantCommonByUserDate(Map<String, Object> params, Pageable pageable);
	
}
